# Orders with car details

Use this endpoint to retrieve detailed information for one or more car rental orders.

- You can request car order details using your reservation ID.
- The response includes booking and cancellation details, commission, pricing, and optional extras (for example, policies).
- Results are sorted by the date of order creation in descending order, with the most recently booked orders listed first.

Endpoint: POST /orders/details/cars
Version: 3.2-Beta
Security: BearerAuth

## Header parameters:

  - `X-Affiliate-Id` (integer, required)
    Include here your Affiliate identifier number

## Request fields (application/json):

  - `body` (CarsDetailsInputByOrders (object) or CarsDetailsInputByReservations (object)) — one of:
    - CarsDetailsInputByOrders:
      - `orders` (array, required)
        List of order IDs for which details should be returned.
      - `currency` (string,null)
        A three-letter code that uniquely identifies a monetary currency as defined by the ISO 4217 standard. The full list can be obtained by calling common/payments/currencies.
      - `extras` (array)
        Optional extra details to include in the response, passed as a JSON array.
        Enum: "policies"
    - CarsDetailsInputByReservations:
      - `reservations` (array, required)
        List of reservation IDs for which details should be returned.
      - `currency` (string,null)
        A three-letter code that uniquely identifies a monetary currency as defined by the ISO 4217 standard. The full list can be obtained by calling common/payments/currencies.
      - `extras` (array)
        Optional extra details to include in the response, passed as a JSON array.
        Enum: same as `extras` in "CarsDetailsInputByOrders" (1 values)

## Response 200 fields (application/json):

  - `request_id` (string)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `data` (array)
    List of car order objects containing full details for each requested reservation.

  - `data.id` (string)
    Order ID for this car order.

  - `data.affiliate` (number)
    The affiliate ID used for this order.

  - `data.currency` (object)
    Depot and booker currencies (depot will be null going forward).

  - `data.currency.booker` (string,null)
    A three-letter code that uniquely identifies a monetary currency as defined by the ISO 4217 standard. The full list can be obtained by calling common/payments/currencies.

  - `data.currency.depot` (string,null)
    Depot currency ID. DEPRECATED: Will be set to null.

  - `data.dropoff` (object)
    Drop-off depot location and time.

  - `data.dropoff.datetime` (string)
    Pickup/drop-off date and time in ISO-8601 format.
    Example: "2023-11-01T11:05:00+00:00"

  - `data.pickup` (object)
    Pick up depot location and time.

  - `data.price` (object,null)
    The price breakdown for this car order.

  - `data.price.total` (object)
    The total price, including all extra charges.

  - `data.price.total.booker_currency` (number)

  - `data.price.total.depot_currency` (number,null)
    The price in depot currency. DEPRECATED: Always expect null/omitted.

  - `data.price.commissionable` (object,null)
    The commissionable price, representing the car rental cost used to calculate the commission amount. DEPRECATED: Always expect null/omitted in this endpoint. Check the orders/details endpoint for commission details instead.

  - `data.products` (array)

  - `data.products.car` (integer)
    Related car id

  - `data.products.policies` (object)
    The policies that apply to this product.

  - `data.products.policies.payment` (object)
    The payment policy that applies to this product.

  - `data.products.policies.payment.timing` (string, required)
    The applied payment timing. For example 'pay_online_now'.
    Enum: "pay_online_now", "pay_at_pickup", "pay_partial_online_now", "unknown"

  - `data.products.price` (object)
    Detailed breakdown of the product's price components.

  - `data.products.price.base` (object,null)
    The base price. This does not include any extra charges.

  - `data.products.price.total` (object,null)
    The total price including any extra charges.

  - `data.products.status` (string)
    Status of the product.
    Enum: "booked", "cancelled", "cancelled_by_accommodation", "cancelled_by_guest", "no_show", "stayed"

  - `data.reservation` (string)
    This is the reservation id for the car in this order.

  - `data.status` (string)
    Status of this car order.
    Enum: same as `data.products.status` (6 values)

  - `data.commission` (object,null)
    Commission details for the partner for this car order. DEPRECATED: Always expect null/omitted in this endpoint. Check the orders/details endpoint for commission details instead.

  - `data.commission.estimated_amount` (object,null)
    Estimated commission amount for this car order (null if the actual amount is given).

  - `data.commission.actual_amount` (object,null)
    Actual commission amount for this car order (null if value is not yet available).

  - `data.commission.actual_percentage` (number,null)
    Actual commission percentage for this car order (null if value is not yet available).

  - `data.label` (string,null)
    Identifier associated with the car booking. DEPRECATED: Always expect null/omitted in this endpoint. If you need to use 'label' for attributions, refer to orders/details

## Response 400 fields (application/json):

  - `request_id` (string, required)
    Uniquely identifies the request. Please provide this identifier when contacting support.

  - `errors` (array, required)

  - `errors.id` (string, required)

  - `errors.message` (string, required)


